AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.Manager.Action
QueueAddAction Class
QueueAddAction Properties
Action Property
Interface Property
MemberName Property
Paused Property
Penalty Property
Queue Property

| QueueAddAction Penalty Property

Get/Set the penalty for this member.
The penalty must be a positive integer or 0 for no penalty. If it is not set 0 is assumed.
When calls are distributed members with higher penalties are considered last.

Namespace: AsterNET.Manager.Action
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public int Penalty { get; set; }

    Public Property Penalty As Integer
    	Get
    	Set

    public:
    property int Penalty {
    	int get ();
    	void set (int value);
    }

    member Penalty : int with get, set

#### Property Value

Type: Int32
See Also

#### Reference

QueueAddAction Class
AsterNET.Manager.Action Namespace